gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.ModelView.TreeRowReference

Contents

- Detail
- Types
- Constructors
- Methods

Description

A persistent index into a tree model.

Synopsis

- data TreeRowReference
- treeRowReferenceNew :: TreeModelClass self => self -> TreePath -> IO (Maybe TreeRowReference)
- treeRowReferenceGetPath :: TreeRowReference -> IO TreePath
- treeRowReferenceValid :: TreeRowReference -> IO Bool

# Detail

A `RowReference` is an index into a `TreeModel` that is persistent even if rows are inserted, deleted or reordered.

# Types

data TreeRowReference Source #

Tree Row Reference : like a `TreePath` it points to a subtree or node, but it is persistent. It identifies the same node (so long as it exists) even when items are added, removed, or reordered.

# Constructors

treeRowReferenceNew :: TreeModelClass self => self -> TreePath -> IO (Maybe TreeRowReference) Source #

Creates a row reference based on a path. This reference will keep pointing to the node pointed to by the given path, so long as it exists. Returns `Nothing` if there is no node at the given path.

# Methods

treeRowReferenceGetPath :: TreeRowReference -> IO TreePath Source #

Returns a path that the row reference currently points to.

- The returned path may be the empty list if the reference was invalid.

treeRowReferenceValid :: TreeRowReference -> IO Bool Source #

Returns True if the reference refers to a current valid path.